Skip to main content
PATCH
/
api
/
mapping_groups
/
{id}
Update a mapping group
curl --request PATCH \
  --url https://clarus-api.com/api/mapping_groups/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "data": {
    "type": "mapping_groups",
    "attributes": {
      "description": "Maps Shopify products to Clarus SKUs"
    }
  }
}
'
{
  "id": 88,
  "name": "Shopify products",
  "description": "Maps Shopify products to Clarus SKUs",
  "operation_type": "integration_product",
  "integration_id": 12
}

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Path Parameters

id
integer
required

The unique identifier of the mapping group to update

Body

application/json
data
object
required

Response

Updated successfully

Updated record